#ifndef __NPAOIDS_H__
#define __NPAOIDS_H__

/* These are from the private mibs */
#define _HPINFO_ "1.3.6.1.4.1.11.2.3.9.1.1.7.0" // undocumented
// These are from enterprises.hp.nm
//   interface.npCard.npSys.npSysStatusMessage.0
#define _HPNPSYSSTATUSMESSAGE_ "1.3.6.1.4.1.11.2.4.3.1.2.0"
//   system.net_peripheral.net_printer.generalDeviceStatus.gdStatusDisplay.0
#define _HPNPGDSTATUSDISPLAY_ "1.3.6.1.4.1.11.2.3.9.1.1.3.0"
#define _HPNPPAGECOUNT_ "1.3.6.1.4.1.11.2.3.9.4.2.2.10.2.1.4.1.1"
//   interface.npCard.npCfg.npCfgSource.0
#define _HPNPCFGSOURCE_ "1.3.6.1.4.1.11.2.4.3.5.1.0"
//   interface.npCard.npCtl.npCtlReconfig.0
#define _HPREBOOT_ "1.3.6.1.4.1.11.2.4.3.7.8.0"

/* These are from some unknown MIB. They are for the purpose of
   upgrading the firmware of printers. */
#define _HPICFDOWNLOADSTATUS_ "1.3.6.1.4.1.11.2.14.11.1.3.1.1.10.1"
#define _HPICFDOWNLOADTDOMAIN_ "1.3.6.1.4.1.11.2.14.11.1.3.1.1.5.1"
#define _HPICFDOWNLOADTADDRESS_ "1.3.6.1.4.1.11.2.14.11.1.3.1.1.4.1"
#define _HPICFDOWNLOADFILENAME_ "1.3.6.1.4.1.11.2.14.11.1.3.1.1.6.1"

/* Don't blame me for these long names. They are right out of 
   the RFC's */
#define _SYSDESC_ "1.3.6.1.2.1.1.1.0"
#define _SYSCONTACT_ "1.3.6.1.2.1.1.4.0"
#define _SYSUPTIME_ "1.3.6.1.2.1.1.3.0"
#define _SYSLOCATION_ "1.3.6.1.2.1.1.6.0"
#define _IFTYPE_ "1.3.6.1.2.1.2.2.1.3.1"
#define _IFPHYSICALADDRESS_ "1.3.6.1.2.1.2.2.1.6.1"
#define _IPROUTENEXTHOP_ "1.3.6.1.2.1.4.21.1.7.0.0.0.0"
#define _HRDEVICEDESC_ "1.3.6.1.2.1.25.3.2.1.3.1"
#define _HRMEMORYSIZE_ "1.3.6.1.2.1.25.2.2.0"
#define _HRMEMORYSIZE1_ "1.3.6.1.2.1.25.2.2.1"
#define _HRPRINTERSTATUS_ "1.3.6.1.2.1.25.3.5.1.1.1"
#define _TKMODEL_ "1.3.6.1.4.1.128.2.1.3.1.2.0"

#define _IPENTNETMASK_BASE_ "1.3.6.1.2.1.4.20.1.3"
#define _TCPCONNSTATE_BASE_ "1.3.6.1.2.1.6.13.1.1"
#define _TCPCONNREMADDRESS_BASE_ "1.3.6.1.2.1.6.13.1.4"
#define _IFTYPE_BASE_ "1.3.6.1.2.1.2.2.1.3"
#define _IFPHYSICALADDRESS_BASE_ "1.3.6.1.2.1.2.2.1.6"
#define _HRSSTORAGEDESCR_BASE_ "1.3.6.1.2.1.25.2.3.1.3"
#define _HRSTORAGEALLOCATIONUNITS_BASE_ "1.3.6.1.2.1.25.2.3.1.4"
#define _HRSTORAGESIZE_BASE_ "1.3.6.1.2.1.25.2.3.1.5"
#define _HRSTORAGEUSED_BASE_ "1.3.6.1.2.1.25.2.3.1.6"
#define _HRSTORAGEALLOCATIONFAILURES_BASE_ "1.3.6.1.2.1.25.2.3.1.7"
#define _PRTMEDIAPATHMAXSPEEDPRINTUNIT_BASE_ "1.3.6.1.2.1.43.13.4.1.2"
#define _PRTMEDIAPATHMEDIASIZEUNIT_BASE_ "1.3.6.1.2.1.43.13.4.1.3"
#define _PRTMEDIAPATHMAXSPEED_BASE_ "1.3.6.1.2.1.43.13.4.1.4"
#define _PRTMEDIAPATHMAXMEDIAFEEDDIR_BASE_ "1.3.6.1.2.1.43.13.4.1.5"
#define _PRTMEDIAPATHMAXMEDIAXFEEDDIR_BASE_ "1.3.6.1.2.1.43.13.4.1.6"
#define _PRTMEDIAPATHMINMEDIAFEEDDIR_BASE_ "1.3.6.1.2.1.43.13.4.1.7"
#define _PRTMEDIAPATHMINMEDIAXFEEDDIR_BASE_ "1.3.6.1.2.1.43.13.4.1.8"
#define _PRTMEDIAPATHTYPE_BASE_ "1.3.6.1.2.1.43.13.4.1.9"
#define _PRTMEDIAPATHDESCRIPTION_BASE_ "1.3.6.1.2.1.43.13.4.1.10"
#define _PRTMEDIAPATHSTATUS_BASE_ "1.3.6.1.2.1.43.13.4.1.11"
#define _PRTCONSOLEDISPLAYBUFFERTEXT_BASE_ "1.3.6.1.2.1.43.16.5.1.2"
#define _PRTINPUTTYPE_BASE_ "1.3.6.1.2.1.43.8.2.1.2"
#define _PRTINPUTDIMUNIT_BASE_ "1.3.6.1.2.1.43.8.2.1.3"
#define _PRTINPUTMEDIADIMFEEDDIRCHOSEN_BASE_ "1.3.6.1.2.1.43.8.2.1.6"
#define _PRTINPUTMEDIADIMXFEEDDIRCHOSEN_BASE_ "1.3.6.1.2.1.43.8.2.1.7"
#define _PRTINPUTCAPACITYUNIT_BASE_ "1.3.6.1.2.1.43.8.2.1.8"
#define _PRTINPUTMAXCAPACITY_BASE_ "1.3.6.1.2.1.43.8.2.1.9"
#define _PRTINPUTCURRENTLEVEL_BASE_ "1.3.6.1.2.1.43.8.2.1.10"
#define _PRTINPUTINPUTSTATUS_BASE_ "1.3.6.1.2.1.43.8.2.1.11"
#define _PRTINPUTMEDIANAME_BASE_ "1.3.6.1.2.1.43.8.2.1.12"
#define _PRTINPUTNAME_BASE_ "1.3.6.1.2.1.43.8.2.1.13"
#define _PRTINPUTINPUTDESCRIPTION_BASE_ "1.3.6.1.2.1.43.8.2.1.18"
#define _PRTINTERPRETERLANGFAMILY_BASE_ "1.3.6.1.2.1.43.15.1.1.2"
#define _PRTINTERPRETERLANGLEVEL_BASE_ "1.3.6.1.2.1.43.15.1.1.3"
#define _PRTINTERPRETERLANGVERSION_BASE_ "1.3.6.1.2.1.43.15.1.1.4"
#define _PRTINTERPRETERDESCRIPTION_BASE_ "1.3.6.1.2.1.43.15.1.1.5"
#define _PRTINTERPRETERVERSION_BASE_ "1.3.6.1.2.1.43.15.1.1.6"
#define _PRTINTERPRETERDEFAULTORIENTATION_BASE_ "1.3.6.1.2.1.43.15.1.1.7"
#define _PRTINTERPRETERFEEDADDRESSABILITY_BASE_ "1.3.6.1.2.1.43.15.1.1.8"
#define _PRTINTERPRETERXFEEDADDRESSABILITY_BASE_ "1.3.6.1.2.1.43.15.1.1.9"
#define _PRTINTERPRETERTWOWAY_BASE_ "1.3.6.1.2.1.43.15.1.1.12"
#define _PRTCOVERDESCRIPTION_BASE_ "1.3.6.1.2.1.43.6.1.1.2"
#define _PRTCOVERSTATUS_BASE_ "1.3.6.1.2.1.43.6.1.1.3"
#define _PRTCHANNELTYPE_BASE_ "1.3.6.1.2.1.43.14.1.1.2"
#define _PRTCHANNELPROTOCOLVERSION_BASE_ "1.3.6.1.2.1.43.14.1.1.3"
#define _PRTCHANNELCURRENTJOBCNTLLANGINDEX_BASE_ "1.3.6.1.2.1.43.14.1.1.4"
#define _PRTCHANNELDEFAULTPAGEDESCLANGINDEX_BASE_ "1.3.6.1.2.1.43.14.1.1.5"
#define _PRTCHANNELSTATE_BASE_ "1.3.6.1.2.1.43.14.1.1.6"
#define _PRTCHANNELSTATUS_BASE_ "1.3.6.1.2.1.43.14.1.1.8"
#define _PRTMARKERMARKTECH_BASE_     "1.3.6.1.2.1.43.10.2.1.2"
#define _PRTMARKERCOUNTERUNITS_BASE_ "1.3.6.1.2.1.43.10.2.1.3"
#define _PRTMARKERLIFECOUNT_BASE_    "1.3.6.1.2.1.43.10.2.1.4"
#define _PRTMARKERPROCESSCOLORANTS_BASE_ "1.3.6.1.2.1.43.10.2.1.6"
#define _PRTMARKERADDRESSABILITYUNIT_BASE_ "1.3.6.1.2.1.43.10.2.1.8"
#define _PRTMARKERADDRESSABILITYFEEDDIR_BASE_ "1.3.6.1.2.1.43.10.2.1.9"
#define _PRTMARKERADDRESSABILITYXFEEDDIR_BASE_ "1.3.6.1.2.1.43.10.2.1.10"
#define _PRTMARKERNORTHMARGIN_BASE_ "1.3.6.1.2.1.43.10.2.1.11"
#define _PRTMARKERSOUTHMARGIN_BASE_ "1.3.6.1.2.1.43.10.2.1.12"
#define _PRTMARKERWESTMARGIN_BASE_ "1.3.6.1.2.1.43.10.2.1.13"
#define _PRTMARKEREASTMARGIN_BASE_ "1.3.6.1.2.1.43.10.2.1.14"
#define _PRTMARKERSTATUS_BASE_ "1.3.6.1.2.1.43.10.2.1.15"
#define _PRTMARKERSUPPLIESCOLORANTINDEX_BASE_ "1.3.6.1.2.1.43.11.1.1.3"
#define _PRTMARKERSUPPLIESCLASS_BASE_ "1.3.6.1.2.1.43.11.1.1.4"
#define _PRTMARKERSUPPLIESTYPE_BASE_ "1.3.6.1.2.1.43.11.1.1.5"
#define _PRTMARKERSUPPLIESDESCRIPTION_BASE_ "1.3.6.1.2.1.43.11.1.1.6"
#define _PRTMARKERSUPPLIESSUPPLYUNIT_BASE_ "1.3.6.1.2.1.43.11.1.1.7"
#define _PRTMARKERSUPPLIESMAXCAPACITY_BASE_ "1.3.6.1.2.1.43.11.1.1.8"
#define _PRTMARKERSUPPLIESLEVEL_BASE_ "1.3.6.1.2.1.43.11.1.1.9"
#define _PRTALERTSEVERITYLEVEL_BASE_ "1.3.6.1.2.1.43.18.1.1.2"
#define _PTRALERTTRAININGLEVEL_BASE_ "1.3.6.1.2.1.43.18.1.1.3"
#define _PRTALERTGROUP_BASE_ "1.3.6.1.2.1.43.18.1.1.4"
#define _PRTALERTGROUPINDEX_BASE_ "1.3.6.1.2.1.43.18.1.1.5"
#define _PRTALERTLOCATION_BASE_ "1.3.6.1.2.1.43.18.1.1.6"
#define _PRTALERTCODE_BASE_ "1.3.6.1.2.1.43.18.1.1.7"
#define _PRTALERTDESCRIPTION_BASE_ "1.3.6.1.2.1.43.18.1.1.8"
#define _PRTALERTTIME_BASE_ "1.3.6.1.2.1.43.18.1.1.9"
#define _PRTGENERALRESET_ "1.3.6.1.2.1.43.5.1.1.3.1"
 
/* These are used in multiple locations and so they are defined 
   one place to be used both. */
extern char SYSCONTACT[];
extern char SYSLOCATION[];
#endif
